Temporary API Keys
Update API key
PATCH
/
api
/
temporary-keys
/
{temporary_api_key_id}
/
Update API key
curl --request PATCH \
--url 'https://api.keywordsai.co/api/temporary-keys/{{temporary_api_key_id}}/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expiry_date": "<string>",
"is_test": true,
"prefix": "<string>"
}
'import requests
url = "https://api.keywordsai.co/api/temporary-keys/{{temporary_api_key_id}}/"
payload = {
"name": "<string>",
"expiry_date": "<string>",
"is_test": True,
"prefix": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', expiry_date: '<string>', is_test: true, prefix: '<string>'})
};
fetch('https://api.keywordsai.co/api/temporary-keys/{{temporary_api_key_id}}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
You can update a temporary API key by sending a PUT request to the temporary keys endpoint.
Path parameters
string
The ID of the temporary API key to update.
Body
string
The name of the temporary API key.
string
The expiry date of the temporary API key.
boolean
Is this a test key or a prod key
string
The prefix of the temporary API key.
Was this page helpful?
⌘I
Update API key
